/* --------------------------------------------------------------  */
/* (C)Copyright 2008                                               */
/* International Business Machines Corporation                     */
/* All Rights Reserved.                                            */
/*                                                                 */
/* Redistribution and use in source and binary forms, with or      */
/* without modification, are permitted provided that the           */
/* following conditions are met:                                   */
/*                                                                 */
/* - Redistributions of source code must retain the above copyright*/
/*   notice, this list of conditions and the following disclaimer. */
/*                                                                 */
/* - Redistributions in binary form must reproduce the above       */
/*   copyright notice, this list of conditions and the following   */
/*   disclaimer in the documentation and/or other materials        */
/*   provided with the distribution.                               */
/*                                                                 */
/* - Neither the name of IBM Corporation nor the names of its      */
/*   contributors may be used to endorse or promote products       */
/*   derived from this software without specific prior written     */
/*   permission.                                                   */
/*                                                                 */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          */
/* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     */
/* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        */
/* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        */
/* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            */
/* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    */
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    */
/* NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    */
/* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        */
/* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       */
/* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    */
/* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              */
/* --------------------------------------------------------------  */
/* PROLOG END TAG zYx                                              */
#ifndef _LAPACK_ERRNO_H_
#define _LAPACK_ERRNO_H_

#define LAPACK_ERR_BASE        -128

#define E_LAPACK_INIT            (LAPACK_ERR_BASE - 1)

#define E_MALLOC                 (LAPACK_ERR_BASE - 2)
#define E_LAPACK_TASK_START      (LAPACK_ERR_BASE - 3)
#define E_LAPACK_TASK_WAIT       (LAPACK_ERR_BASE - 4)
#define E_SIZE                   (LAPACK_ERR_BASE - 5)

#define E_DML_INIT               (LAPACK_ERR_BASE - 10)
#define E_DML_MATINFO_REG        (LAPACK_ERR_BASE - 11)
#define E_DML_M2B                (LAPACK_ERR_BASE - 12)
#define E_DML_B2M                (LAPACK_ERR_BASE - 13)
#define E_DML_B2B                (LAPACK_ERR_BASE - 14)
#define E_DML_M2M                (LAPACK_ERR_BASE - 15)


#define E_TAG_RESERVE            (LAPACK_ERR_BASE - 30)

/* All the other internal errors can be reported as
 * internal error but we need a trace before return 
 * the error code
 */
#define E_LAPACK_INTERNAL        (LAPACK_ERR_BASE - 31)

#endif

/* End */
